# Interface BshIterator

All Known Implementing Classes:
  `CollectionManager.BasicBshIterator`

public interface BshIterator
An interface implemented by classes wrapping instances of iterators, enumerations, collections, etc.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
Returns true if and only if there are more objects available via the `next()` method
`Object`
`next()`
Fetch the next object in the iteration

## Method Details

### next

Object next()
Fetch the next object in the iteration

Returns:
  The next object

### hasNext

boolean hasNext()
Returns true if and only if there are more objects available via the `next()` method

Returns:
  The next object